Get all invoice lines
get
/fscmRestApi/resources/11.13.18.05/payablesInvoicesInSupplierPortal/{InvoiceId}/child/ispInvoiceRestLines
Request
Path Parameters
-
InvoiceId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the invoice line that matches the specified primary key.
Finder Variables- LineNumber; integer; Unique number that identifies the invoice line.
- PrimaryKey Finds the invoice line that matches the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssessableValue; number; Deemed price at which a product is valued by a tax authority for tax calculation purposes.
- AvailableQuantity; string; Quantity of items received against a purchase order schedule that are available for matching to an invoice.
- ConsumptionAdviceLineNumber; number; Line number of the consumption advice associated with the invoice line.
- ConsumptionAdviceNumber; string; Number of the consumption advice associated with the invoice line.
- CreatedBy; string; The user who created the record.
- CreationDate; string; The date when the invoice line was created.
- Description; string; A brief description of the invoice line.
- FinalDischargeLocation; string; Final discharge location used for tax calculation on the invoice line.
- FinalDischargeLocationCode; string; The code that identifies the location of final discharge.
- IncludedTaxAmount; number; Amount of tax included in the invoice line.
- IncomeTaxRegion; string; Reporting region associated with the invoice line for a 1099 supplier.
- IntendedUse; string; Tax driver used to determine and calculate taxes applicable to the invoice line.
- IntendedUseClassifId; integer; Unique identifier of the intended use code entered by the user.
- IntendedUseCode; string; Code that identifies the intended use for tax calculation.
- ItemDescription; string; Description of the item associated with the invoice line.
- LastUpdateDate; string; The date when the invoice line was last updated.
- LastUpdatedBy; string; The user who last updated the invoice line.
- LineAmount; number; Invoice line amount in the invoice currency.
- LineNumber; integer; Unique number that identifies the invoice line.
- LineSource; string; Source from which the invoice line was created. A list of accepted values is defined in the line source lookup.
- LineType; string; Type of invoice line. A list of accepted values is defined in the invoice line type lookup.
- LineTypeLookupCode; string; The type of the invoice line. The value must be provided while creating an invoice line. The valid values are Item, Freight, and Miscellaneous. A list of accepted values is defined in the lookup type INVOICE LINE TYPE and can be reviewed using the Setup and Maintenance work area, and the Manage Payables Lookups task.
- POHeaderId; integer; The unique identifier of the purchase order document number that's matched to the invoice.
- ProductCategory; string; Taxable nature of a noninventory item used for tax calculation and tax reporting purposes.
- ProductCategoryCodePath; string; Hierarchy path of the product category code used for tax calculation.
- ProductFiscalClassification; string; Tax classification used by a tax authority to categorize a product.
- ProductFiscalClassificationCode; string; Code that identifies the product fiscal classification used for tax calculation.
- ProductFiscalClassificationType; string; Type of product fiscal classification used for tax calculation.
- ProductType; string; Type of product derived from the inventory item attributes. Valid values are goods and services.
- PurchaseOrderLineNumber; number; Purchase order line number matched to the invoice line.
- PurchaseOrderNumber; string; Purchase order document number matched to the invoice line.
- PurchaseOrderScheduleLineNumber; number; Purchase order schedule line number matched to the invoice line.
- Quantity; number; Quantity of items invoiced on the invoice line.
- RcvTransactionId; integer; Unique identifier of the receipt transaction matched to the invoice line.
- ReceiptLineNumber; integer; The line number of the receipt associated with the invoice line.
- ReceiptNumber; string; The receipt number of the material associated with the invoice line.
- Retainage; number; Amount withheld as retainage against the invoice line.
- RetainageRemaining; number; Remaining amount withheld as retainage against the invoice line.
- RetainedInvoiceLineNumber; integer; Line number of the retained invoice associated with the invoice line.
- RetainedInvoiceNumber; integer; Invoice number of the retained invoice associated with the invoice line.
- ShipFromLocation; string; Code that identifies the ship-from location.
- ShipFromLocationId; integer; The unique identifier of the ship-from location.
- ShipToLocation; string; Location to which the supplier ships the goods or services.
- ShipToLocationCode; string; The user-entered ship to location code that helps to uniquely identify a ship to location.
- SupplierItem; string; Supplier item number from the purchase order schedule line.
- TaxClassification; string; Tax classification code used for tax calculation.
- TaxControlAmount; number; Amount used to ensure that the calculated tax matches the tax amount on the physical document.
- TaxRateName; string; Name of the tax rate associated with the invoice line.
- TransactionBusinessCategory; string; Transaction category assigned to the invoice line for tax calculation purposes.
- TransactionBusinessCategoryCodePath; string; Hierarchy path of the transaction business category code used for tax calculation.
- UOM; string; Unit of measure used for the invoiced quantity.
- UnitPrice; number; Unit price of the good or service.
- UserDefinedFiscalClassification; string; Classification used for tax requirements that can't be defined using existing fiscal classification types.
- UserDefinedFiscalClassificationCode; string; Code that identifies the user-defined fiscal classification used for tax calculation.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payablesInvoicesInSupplierPortal-ispInvoiceRestLines
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payablesInvoicesInSupplierPortal-ispInvoiceRestLines-item-response
Type:
Show Source
object-
AssessableValue: number
Title:
Assessable ValueDeemed price at which a product is valued by a tax authority for tax calculation purposes. -
AvailableQuantity: string
Quantity of items received against a purchase order schedule that are available for matching to an invoice.
-
ConsumptionAdviceLineNumber: number
Title:
Consumption Advice LineLine number of the consumption advice associated with the invoice line. -
ConsumptionAdviceNumber: string
Title:
Consumption AdviceMaximum Length:20Number of the consumption advice associated with the invoice line. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the invoice line was created. -
Description: string
Title:
DescriptionMaximum Length:240A brief description of the invoice line. -
FinalDischargeLocation: string
Read Only:
trueMaximum Length:1082Final discharge location used for tax calculation on the invoice line. -
FinalDischargeLocationCode: string
Maximum Length:
1082The code that identifies the location of final discharge. -
IncludedTaxAmount: number
Read Only:
trueAmount of tax included in the invoice line. -
IncomeTaxRegion: string
Title:
Income Tax RegionMaximum Length:10Reporting region associated with the invoice line for a 1099 supplier. -
IntendedUse: string
Maximum Length:
240Tax driver used to determine and calculate taxes applicable to the invoice line. -
IntendedUseClassifId: integer
(int64)
Title:
Intended UseUnique identifier of the intended use code entered by the user. -
IntendedUseCode: string
Code that identifies the intended use for tax calculation.
-
Item: string
Maximum Length:
255Name of the inventory item associated with the invoice line. -
ItemDescription: string
Read Only:
trueDescription of the item associated with the invoice line. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the invoice line was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the invoice line. -
LineAmount: number
Title:
Line AmountInvoice line amount in the invoice currency. -
LineNumber: integer
(int64)
Title:
Line NumberUnique number that identifies the invoice line. -
LineSource: string
Read Only:
trueMaximum Length:255Source from which the invoice line was created. A list of accepted values is defined in the line source lookup. -
LineType: string
Maximum Length:
255Type of invoice line. A list of accepted values is defined in the invoice line type lookup. -
LineTypeLookupCode: string
Title:
Line TypeMaximum Length:25The type of the invoice line. The value must be provided while creating an invoice line. The valid values are Item, Freight, and Miscellaneous. A list of accepted values is defined in the lookup type INVOICE LINE TYPE and can be reviewed using the Setup and Maintenance work area, and the Manage Payables Lookups task. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
POHeaderId: integer
(int64)
Read Only:
trueThe unique identifier of the purchase order document number that's matched to the invoice. -
ProductCategory: string
Maximum Length:
240Taxable nature of a noninventory item used for tax calculation and tax reporting purposes. -
ProductCategoryCodePath: string
Title:
Product CategoryMaximum Length:240Hierarchy path of the product category code used for tax calculation. -
ProductFiscalClassification: string
Maximum Length:
240Tax classification used by a tax authority to categorize a product. -
ProductFiscalClassificationCode: string
Code that identifies the product fiscal classification used for tax calculation.
-
ProductFiscalClassificationType: string
Type of product fiscal classification used for tax calculation.
-
ProductType: string
Maximum Length:
80Type of product derived from the inventory item attributes. Valid values are goods and services. -
PurchaseOrderLineNumber: number
Title:
LinePurchase order line number matched to the invoice line. -
PurchaseOrderNumber: string
Title:
OrderMaximum Length:30Purchase order document number matched to the invoice line. -
PurchaseOrderScheduleLineNumber: number
Title:
SchedulePurchase order schedule line number matched to the invoice line. -
Quantity: number
Title:
QuantityQuantity of items invoiced on the invoice line. -
RcvTransactionId: integer
Read Only:
trueUnique identifier of the receipt transaction matched to the invoice line. -
ReceiptLineNumber: integer
(int64)
The line number of the receipt associated with the invoice line.
-
ReceiptNumber: string
Maximum Length:
255The receipt number of the material associated with the invoice line. -
Retainage: number
Amount withheld as retainage against the invoice line.
-
RetainageRemaining: number
Remaining amount withheld as retainage against the invoice line.
-
RetainedInvoiceLineNumber: integer
Line number of the retained invoice associated with the invoice line.
-
RetainedInvoiceNumber: integer
(int64)
Invoice number of the retained invoice associated with the invoice line.
-
ShipFromLocation: string
Read Only:
trueMaximum Length:1082Code that identifies the ship-from location. -
ShipFromLocationId: integer
(int64)
Title:
Ship-from LocationThe unique identifier of the ship-from location. -
ShipToLocation: string
Title:
NameMaximum Length:60Location to which the supplier ships the goods or services. -
ShipToLocationCode: string
Maximum Length:
255The user-entered ship to location code that helps to uniquely identify a ship to location. -
SupplierItem: string
Read Only:
trueMaximum Length:300Supplier item number from the purchase order schedule line. -
TaxClassification: string
Title:
Tax ClassificationMaximum Length:30Tax classification code used for tax calculation. -
TaxControlAmount: number
Title:
Tax Control AmountAmount used to ensure that the calculated tax matches the tax amount on the physical document. -
TaxRateName: string
Read Only:
trueMaximum Length:255Name of the tax rate associated with the invoice line. -
TransactionBusinessCategory: string
Maximum Length:
255Transaction category assigned to the invoice line for tax calculation purposes. -
TransactionBusinessCategoryCodePath: string
Title:
Transaction Business CategoryMaximum Length:240Hierarchy path of the transaction business category code used for tax calculation. -
UnitPrice: number
Title:
Unit PriceUnit price of the good or service. -
UOM: string
Maximum Length:
25Unit of measure used for the invoiced quantity. -
UserDefinedFiscalClassification: string
Maximum Length:
240Classification used for tax requirements that can't be defined using existing fiscal classification types. -
UserDefinedFiscalClassificationCode: string
Title:
User-Defined Fiscal ClassificationMaximum Length:240Code that identifies the user-defined fiscal classification used for tax calculation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.